import java.awt.event.ActionListener;
import java.awt.event.ActionEvent;
import javax.swing.Timer;

/**
 * @version 2, Oct 10
 * In this version, the Counter still starts its own Timer, but leaves
 * a separate class CounterIncrementer to respond to timer events.
 * The CounterIncrementer class needs to know which Counter it's incrementing,
 * so we tell it in its constructor.  Furthermore, it needs to be able to call
 * an "increment" method.
 */
public class Counter
{
    private int current = 0;

    /**
     * Start the timer.
     * 
     * @since version 1
     */
    public void startCounting ()
    {
        Timer t = new Timer(1000, new CounterIncrementer(this));
        t.start();
    }

    /**
     * Get current value of counter.
     * 
     * @since version 1
     * @return the current value (an int)
     */
    public int getCurrent ()
    {
        return this.current;
    }
    
    /**
     * Increment the counter.
     * 
     * @since version 2
     */
    public void increment ()
    {
        this.current++;
    }

}
